Encrypt API for Inquiring Transaction

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Encrypt API request parameters varies based on the API with which it is used for. This section describes the Encrypt API used with Statement Inquiry API.

Sandboxpayusandbox-kong.pc.enstage-sas.com/api/v2/encrypt
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "messageCode": "1090",
  "requestDateTime": "20240408101000",
  "clientTxnId": "Test_Txn",
  "fromDate": "25/01/2024",
  "toDate": "30/01/2024",
  "last4Digits": "4844",
  "urn": "10",
  "customerId": "4121"
}
'
Sample response
{
  "token": "qxDPqbXdaAsnuXB3HyclZDdIfTUETQAiaG/s/OF6x9IHQpmqMIsmrvWfUONt/tRjjCal0UPyXzJT2DqOqSxgIgkNr/wz2ObL71lX/xKAR8SyVxiMlrmwAJYos64v85EVqQanb9R3wmHMepKWAHX10zVWexRMhrD8hkChydhRgL5DPc824MurZ/TLa3c6jgD2s+FO1+XwWTwmFG1Pf2RM+FkMuCaqrXn4NbtXjOLHPj514gasOFlXFdU7eZ2Orng9jof1A+KXZbkzMrQz7blFGA=="
}

Request parameters

Body Params
const
enum
required

This parameter must contain the message code as 1090 for this API.

Allowed:
string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format

string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the date (in the DD/MM/YYYY format) from which the transactions required.

string
required

This parameter must contain the date (in the DD/MM/YYYY format) up to which the transactions required.

string
required

This parameter must contain the last four digits of the card.

string
required

This parameter must contain the customer unique reference number.

string
required

This parameter must contain the customer ID.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json